package com.njcn.prepare.harmonic.service.mysql.newalgorithm;

import com.njcn.device.biz.pojo.dto.DeptGetChildrenMoreDTO;
import com.njcn.prepare.harmonic.pojo.bo.CalculatedParam;

import java.util.List;

/**
 * Description:
 * Date: 2023/10/7  14:36【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface ROperatingIndexService {
    void handler(List<DeptGetChildrenMoreDTO> data, String dataDate, Integer type);

    void handleMonth(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleQtr(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleYear(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleDay(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);
}
